
#  Method to compute similarity of two community evolutions
class ComEvsSimilarityMethod(object):

    def get_id(self):
        raise NotImplementedError()

    def __str__(self):
        return self.get_id()

    @staticmethod
    def get_id_prefix():
        raise NotImplementedError()

    @staticmethod
    def get_com_evs_similarity_method_title(values):
        raise NotImplementedError()

    def get_limits(self):
        return (0, 1)

    def compute_similarity(self, com_ev_1, com_ev_2):
        raise NotImplementedError()
